[arch-commits] Commit in python-openstackclient/repos/community-any (3 files)

Felix Yan felixonmars at archlinux.org
Mon Jul 13 17:07:17 UTC 2020


    Date: Monday, July 13, 2020 @ 17:07:17
  Author: felixonmars
Revision: 663454

archrelease: copy trunk to community-any

Added:
  python-openstackclient/repos/community-any/PKGBUILD
    (from rev 663453, python-openstackclient/trunk/PKGBUILD)
  python-openstackclient/repos/community-any/entry-point-compatibility.patch
    (from rev 663453, python-openstackclient/trunk/entry-point-compatibility.patch)
Deleted:
  python-openstackclient/repos/community-any/PKGBUILD

---------------------------------+
 PKGBUILD                        |   73 ++++++++++++++++++++------------------
 entry-point-compatibility.patch |   30 +++++++++++++++
 2 files changed, 70 insertions(+), 33 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2020-07-13 17:06:54 UTC (rev 663453)
+++ PKGBUILD	2020-07-13 17:07:17 UTC (rev 663454)
@@ -1,33 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
-
-pkgname=python-openstackclient
-pkgver=5.3.0
-pkgrel=1
-pkgdesc="OpenStack Command-line Client"
-arch=('any')
-url="https://docs.openstack.org/python-openstackclient/latest/"
-license=('Apache')
-depends=('python-six' 'python-pbr' 'python-babel' 'python-cliff' 'python-keystoneclient'
-         'python-keystoneauth1' 'python-osc-lib' 'python-oslo-utils' 'python-oslo-i18n'
-         'python-openstacksdk' 'python-glanceclient' 'python-novaclient' 'python-cinderclient')
-checkdepends=('python-ddt' 'python-oslotest' 'python-requests-mock')
-source=("$pkgname-$pkgver.tar.gz::https://github.com/openstack/python-openstackclient/archive/$pkgver.tar.gz")
-sha512sums=('b13f0e3186ffb6e3e234785b65c79e7d5a8e822d0d1c1d8421cdd33671a7ce3320f77b8f2d2cefe6e4a8eec132dd48d9e3690ae798bb90dc09be9706e1f881bc')
-
-export PBR_VERSION=$pkgver
-
-build() {
-  cd python-openstackclient-$pkgver
-  python setup.py build
-}
-
-check() {
-  cd python-openstackclient-$pkgver
-  stestr run || warning "Tests failed: https://storyboard.openstack.org/#!/story/2003143"
-}
-
-package() {
-  cd python-openstackclient-$pkgver
-  python setup.py install --root="$pkgdir" --optimize=1
-}

Copied: python-openstackclient/repos/community-any/PKGBUILD (from rev 663453, python-openstackclient/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-07-13 17:07:17 UTC (rev 663454)
@@ -0,0 +1,40 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Daniel Wallace <danielwallace at gtmanfred dot com>
+
+pkgname=python-openstackclient
+pkgver=5.3.0
+pkgrel=2
+pkgdesc="OpenStack Command-line Client"
+arch=('any')
+url="https://docs.openstack.org/python-openstackclient/latest/"
+license=('Apache')
+depends=('python-six' 'python-pbr' 'python-babel' 'python-cliff' 'python-keystoneclient'
+         'python-keystoneauth1' 'python-osc-lib' 'python-oslo-utils' 'python-oslo-i18n'
+         'python-openstacksdk' 'python-glanceclient' 'python-novaclient' 'python-cinderclient')
+checkdepends=('python-ddt' 'python-oslotest' 'python-requests-mock')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/openstack/python-openstackclient/archive/$pkgver.tar.gz"
+        entry-point-compatibility.patch)
+sha512sums=('b13f0e3186ffb6e3e234785b65c79e7d5a8e822d0d1c1d8421cdd33671a7ce3320f77b8f2d2cefe6e4a8eec132dd48d9e3690ae798bb90dc09be9706e1f881bc'
+            '6e4119dda5b36f2eb5e2b7f5f4af1e1b2885bed32676b9652eb1d2c0a992b67406f717ff7d57e80c63dde87b160f9680f1aeeac348344050f66629d886ab756f')
+
+export PBR_VERSION=$pkgver
+
+prepare() {
+  cd python-openstackclient-$pkgver
+  patch -p1 -i ../entry-point-compatibility.patch
+}
+
+build() {
+  cd python-openstackclient-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd python-openstackclient-$pkgver
+  stestr run || warning "Tests failed: https://storyboard.openstack.org/#!/story/2003143"
+}
+
+package() {
+  cd python-openstackclient-$pkgver
+  python setup.py install --root="$pkgdir" --optimize=1
+}

Copied: python-openstackclient/repos/community-any/entry-point-compatibility.patch (from rev 663453, python-openstackclient/trunk/entry-point-compatibility.patch)
===================================================================
--- entry-point-compatibility.patch	                        (rev 0)
+++ entry-point-compatibility.patch	2020-07-13 17:07:17 UTC (rev 663454)
@@ -0,0 +1,30 @@
+commit 9d0d64df8b5569f02892b1fd8690043bea7bfde7
+Author: Felix Yan <felixonmars at archlinux.org>
+Date:   Tue Jul 14 01:02:00 2020 +0800
+
+    Fix compatibility issue in 5.3
+    
+    The offending entry point object looks like:
+    EntryPoint(name='compute', value='openstackclient.compute.client',
+    group='openstack.cli.base')
+    
+    Fixes https://storyboard.openstack.org/#!/story/2007917
+    
+    Change-Id: I0f3cc62e23efdc14203ce6645581d5ba5dbf7fa0
+
+diff --git a/openstackclient/common/clientmanager.py b/openstackclient/common/clientmanager.py
+index 66dc880e..36c3ce26 100644
+--- a/openstackclient/common/clientmanager.py
++++ b/openstackclient/common/clientmanager.py
+@@ -154,7 +154,10 @@ def get_plugin_modules(group):
+         try:
+             module_name = ep.entry_point.module_name
+         except AttributeError:
+-            module_name = ep.entry_point.module
++            try:
++                module_name = ep.entry_point.module
++            except AttributeError:
++                module_name = ep.entry_point.value
+ 
+         try:
+             module = importlib.import_module(module_name)


More information about the arch-commits mailing list